## org.apache.lucene.queryParser.standard.builders
Class BoostQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.standard.builders.BoostQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class BoostQueryNodeBuilder

extends Object
implements StandardQueryBuilder

This builder basically reads the `Query` object set on the `BoostQueryNode` child using `QueryTreeBuilder.QUERY_TREE_BUILDER_TAGID` and applies the boost value defined in the `BoostQueryNode`.

Constructor Summary
`BoostQueryNodeBuilder()`

Method Summary
`org.apache.lucene.search.Query` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoostQueryNodeBuilder

    public BoostQueryNodeBuilder()

Method Detail

### build

    public org.apache.lucene.search.Query build(QueryNode queryNode)
                                         throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`